summaryrefslogtreecommitdiff
path: root/t/t3505-cherry-pick-empty.sh
diff options
context:
space:
mode:
authorJunio C Hamano <gitster@pobox.com>2010-08-18 12:46:55 -0700
committerJunio C Hamano <gitster@pobox.com>2010-08-18 12:46:55 -0700
commit165dc789d5e201a06e0de5a984e4529ae62027fc (patch)
treeae0b12015f7fabfe34ca73829aa81d2b4522461f /t/t3505-cherry-pick-empty.sh
parent29e1353a7debe4e73cb5d6d2d5a0c4479e9eb768 (diff)
parentad98a58b3d7a151dca59364b72097b6b875a56f6 (diff)
downloadgit-165dc789d5e201a06e0de5a984e4529ae62027fc.tar.gz
Merge branch 'cc/find-commit-subject'
* cc/find-commit-subject: blame: use find_commit_subject() instead of custom code merge-recursive: use find_commit_subject() instead of custom code bisect: use find_commit_subject() instead of custom code revert: rename variables related to subject in get_message() revert: refactor code to find commit subject in find_commit_subject() revert: fix off by one read when searching the end of a commit subject
Diffstat (limited to 't/t3505-cherry-pick-empty.sh')
-rwxr-xr-xt/t3505-cherry-pick-empty.sh20
1 files changed, 19 insertions, 1 deletions
diff --git a/t/t3505-cherry-pick-empty.sh b/t/t3505-cherry-pick-empty.sh
index e51e505a9f..c10b28cf57 100755
--- a/t/t3505-cherry-pick-empty.sh
+++ b/t/t3505-cherry-pick-empty.sh
@@ -13,12 +13,30 @@ test_expect_success setup '
git checkout -b empty-branch &&
test_tick &&
- git commit --allow-empty -m "empty"
+ git commit --allow-empty -m "empty" &&
+
+ echo third >> file1 &&
+ git add file1 &&
+ test_tick &&
+ git commit --allow-empty-message -m ""
'
test_expect_success 'cherry-pick an empty commit' '
git checkout master && {
+ git cherry-pick empty-branch^
+ test "$?" = 1
+ }
+'
+
+test_expect_success 'index lockfile was removed' '
+
+ test ! -f .git/index.lock
+
+'
+
+test_expect_success 'cherry-pick a commit with an empty message' '
+ git checkout master && {
git cherry-pick empty-branch
test "$?" = 1
}